// ExportClass.cpp: implementation of the CExportClass class.
//
//////////////////////////////////////////////////////////////////////

#include "ExportClass.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CExportClass::CExportClass()
{

}

CExportClass::~CExportClass()
{

}

int CExportClass::ExtCount()
{
	//TODO: Returns the number of file name extensions supported by the plug-in.
	return 1;
}

const TCHAR* CExportClass::Ext(int n)
{
	//TODO: Return the 'i-th' file name extension (i.e. "3DS").
	return _T("");
}

const TCHAR* CExportClass::LongDesc()
{
	//TODO: Return long ASCII description (i.e. "Targa 2.0 Image File")
	return _T("");
}

const TCHAR* CExportClass::ShortDesc()
{
	//TODO: Return short ASCII description (i.e. "Targa")
	return _T("");
}

const TCHAR* CExportClass::AuthorName()
{
	//TODO: Return ASCII Author name
	return _T("hunee");
}

const TCHAR* CExportClass::CopyrightMessage()
{
	// Return ASCII Copyright message
	return _T("Copyright 2001, NAC Entertainment");
}

const TCHAR* CExportClass::OtherMessage1()
{
	//TODO: Return Other message #1 if any
	return _T("");
}

const TCHAR* CExportClass::OtherMessage2()
{
	//TODO: Return other message #2 in any
	return _T("");
}

unsigned int CExportClass::Version()
{
	//TODO: Return Version number * 100 (i.e. v3.01 = 301)
	return 100;
}

void CExportClass::ShowAbout(HWND hWnd)
{
	// Optional
}

BOOL CExportClass::SupportsOptions(int nExt, DWORD dwOptions)
{
	// TODO Decide which options to support.  Simply return
	// true for each option supported by each Extension 
	// the exporter supports.

	return (dwOptions == SCENE_EXPORT_SELECTED);
}

int CExportClass::DoExport(const TCHAR* lpszFileName, ExpInterface* lpEI, Interface* lpI, BOOL bSuppressPrompts, DWORD dwOptions)
{
	//TODO: Implement the actual file Export here and 
	//		return TRUE If the file is exported properly

	return FALSE;
}
